Mailinglist Archive: opensuse-updates (126 mails)

< Previous Next >
openSUSE-SU-2018:0228-1: moderate: Security update for redis
openSUSE Security Update: Security update for redis
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:0228-1
Rating: moderate
References: #1061967
Cross-References: CVE-2017-15047
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 42.2
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for redis to version 4.0.6 fixes security issues and bugs.

The following vulnerabilities were fixed:

- CVE-2017-15047: Buffer overflows occurring reading redis.conf
(bsc#1061967)

The following bugs are fixed:

- Several PSYNC2 bugs could cause data corruption


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-93=1

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2018-93=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

redis-4.0.6-14.1
redis-debuginfo-4.0.6-14.1
redis-debugsource-4.0.6-14.1

- openSUSE Leap 42.2 (i586 x86_64):

redis-4.0.6-8.6.1
redis-debuginfo-4.0.6-8.6.1
redis-debugsource-4.0.6-8.6.1


References:

https://www.suse.com/security/cve/CVE-2017-15047.html
https://bugzilla.suse.com/1061967


< Previous Next >
This Thread
  • No further messages